﻿@model MyTube.ViewModels.PlayListModels.IndexVM
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_shared.cshtml";
}

    <fieldset>
        <legend>My Playlist</legend>

        <div class="grid">
         @foreach (var item in Model.Items)
          {
        <fieldset>
           <div class="row">
                <div class="col-3 bold">Title</div>
                <div class="col-3 bold">Video</div>
           </div>
            <div class="row">
                <div class="col-3 bold">@item.Title</div>
                <div class="col-3 bold">
                    <iframe src="@item.Link"></iframe>
                </div>
                <div class="col-4">
                <a href="/PlayList/Delete?VideoId=@item.Id">Delete from Playlist</a>
                </div>
            </div>
        </fieldset>
        }
        </div>

        @for (int i = 0; i < Model.PagesCount; i++)
        {
            <div class="num">
                <a href="/PlayList/Index?Page=@(i+1)&ItemsPerPage=@(Model.ItemsPerPage)">@(i + 1)</a>
            </div>
        }

        <script>
            function ddlItemsPerPage_Change()
            {

            let ddlItemsPerPage = document.getElementById("ddlItemsPerPage");
            let selectedIndex = ddlItemsPerPage.selectedIndex;
            let itemsPerPage = ddlItemsPerPage.options[selectedIndex].value;

            document.location.href = "/PlayList/Index?ItemsPerPage=" + itemsPerPage;
            }

        </script>

        <select id="ddlItemsPerPage" onchange="ddlItemsPerPage_Change()" class="right">
            <option @(Model.ItemsPerPage == 2 ? "selected" : "")>2</option>
            <option @(Model.ItemsPerPage == 5 ? "selected" : "")>5</option>
            <option @(Model.ItemsPerPage == 10 ? "selected" : "")>10</option>
        </select>
    </fieldset>

